Subject: Re: bug#3354: tcl-mode regression in Emacs 22

From: Jason Rumney <[email-masked]>
Date: Thu, 04 Jun 2009 10:41:15 +0800

Glenn Morris wrote:
> I don't know what the reason is for giving interpreter-mode-alist the
> highest priority (above magic-mode-alist as well). The only reference
> I can find is:
>
> http://lists.gnu.org/archive/html/emacs-pretest-bug/2004-10/msg00215.html
>
> which just says "I feel this [the old behaviour] to be wrong", with no
> examples.
>   

The examples were given further down in that same thread. The file 
extension .conf is commonly used for configuration files. On Debian at 
least, these files are often shell scripts or XML files rather than 
simple name:value pairs that can be parsed by conf-mode. So the reporter 
wanted shell script detection and XML file detection to take priority 
over auto-mode-alist.